# This file created by conda-build 3.12.1
# meta.yaml template originally from:
# /opt/concourse/worker/volumes/live/2a6d1fd0-8eb7-4aa7-7285-280978f5b964/volume/rsync-recipes/matplotlib-2.2.3-python_3.6-on-osx, last modified Tue Aug 14 12:08:21 2018
# ------------------------------------------------

package:
    name: matplotlib
    version: 2.2.3
source:
    patches:
        - osx-frame.patch
    sha256: da5b804222864a8e854ed68f16dcbc8b2fa096537d84f879cc8289db368735c8
    url: https://github.com/matplotlib/matplotlib/archive/v2.2.3.tar.gz
build:
    ignore_run_exports:
        - pyqt
    number: '0'
    string: py36h54f8f79_0
requirements:
    build:
        - cctools 895 h7512d6f_0
        - clang 4.0.1 h662ec87_0
        - clang_osx-64 4.0.1 h1ce6c1d_11
        - clangxx 4.0.1 hc9b4283_0
        - clangxx_osx-64 4.0.1 h22b1bf0_11
        - compiler-rt 4.0.1 h5487866_0
        - ld64 274.2 h7c2db76_0
        - libcxx 4.0.1 h579ed51_0
        - libcxxabi 4.0.1 hebd6815_0
        - llvm 4.0.1 hc748206_0
        - llvm-lto-tapi 4.0.1 h6701bc3_0
    host:
        - blas 1.0 mkl
        - ca-certificates 2018.03.07 0
        - certifi 2018.8.13 py36_0
        - cycler 0.10.0 py36hfc81398_0
        - freetype 2.9.1 hb4e5f40_0
        - intel-openmp 2018.0.3 0
        - libcxx 4.0.1 h579ed51_0
        - libcxxabi 4.0.1 hebd6815_0
        - libedit 3.1.20170329 hb402a30_2
        - libffi 3.2.1 h475c297_4
        - libgfortran 3.0.1 h93005f0_2
        - libiconv 1.15 hdd342a3_7
        - libpng 1.6.34 he12f830_0
        - mkl 2018.0.3 1
        - ncurses 6.1 h0a44026_0
        - nose 1.3.7 py36_2
        - numpy 1.11.3 py36h648b28d_9
        - numpy-base 1.11.3 py36h8a80b8c_9
        - openssl 1.0.2p h1de35cc_0
        - pkg-config 0.29.2 h3efe00b_8
        - pyparsing 2.2.0 py36_1
        - python 3.6.6 hc167b69_0
        - python-dateutil 2.7.3 py36_0
        - pytz 2018.5 py36_0
        - readline 7.0 hc1231fa_4
        - setuptools 40.0.0 py36_0
        - six 1.11.0 py36_1
        - sqlite 3.24.0 ha441bb4_0
        - tk 8.6.7 h35a86e2_3
        - xz 5.2.4 h1de35cc_4
        - zlib 1.2.11 hf3cbc9b_2
    run:
        - cycler >=0.10
        - freetype >=2.9.1,<3.0a0
        - kiwisolver
        - libcxx >=4.0.1
        - libpng >=1.6.34,<1.7.0a0
        - numpy
        - pyparsing
        - python >=3.6,<3.7.0a0
        - python-dateutil
        - pytz
        - setuptools
        - tornado
        - zlib >=1.2.11,<1.3.0a0
test:
    commands:
        - conda inspect linkages -p $PREFIX $PKG_NAME
        - conda inspect objects -p $PREFIX $PKG_NAME
    imports:
        - matplotlib
        - matplotlib._image
        - matplotlib._path
        - matplotlib._png
        - matplotlib._tri
        - matplotlib.backends._backend_agg
        - matplotlib.backends._tkagg
        - matplotlib.ft2font
        - matplotlib.pyplot
        - matplotlib.ttconv
        - mpl_toolkits
        - pylab
about:
    description: 'matplotlib is a python 2D plotting library which produces publication

        quality figures in a variety of hardcopy formats and interactive

        environments across platforms. matplotlib can be used in Python scripts,

        the Python and IPython shell (ala MATLAB or Mathematica), web

        application servers, and six graphical user interface toolkits.

        '
    dev_url: https://github.com/matplotlib/matplotlib/
    doc_url: http://matplotlib.org/contents.html
    home: http://matplotlib.org/
    license: PSF-based
    license_family: PSF
    license_file: LICENSE/LICENSE
    license_url: http://matplotlib.sourceforge.net/users/license.html
    summary: Publication quality figures in Python
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - dopplershift
        - mdboom
        - ocefpaf
        - pelson
        - tacaswell
